% LAGUERRE  Compute the value of a Laguerre polynomial at x.
%                                                         q
%    Y = LAGUERRE(X,p,q) returns the Laguerre polynomial L (X).
%                                                         p
% Version 1.0 (03-18-2005)
%
% (C) E.Bertin <bertin@iap.fr> 2005
% Visit the EFIGI website http://www.efigi.org

function l=laguerre(x,p,q)
q = double(q);
if p==0
    l = 1;
elseif p==1
    l = 1 - x + q;
else
% Recurrence formula
    lpm2 = 1;
    lpm1 = 1 - x + q;
    for n=2:p,
        l = (2+(q-1-x)./double(n)).*lpm1 - (1+(q-1)./double(n)).*lpm2;
        lpm2 = lpm1;
        lpm1 = l;
    end
end
