% PSHAPESHOW  Display a basis of real 2D polar shapelets.
%     PSHAPESHOW(width, height, nmax, beta) display a basis of real 2D
%     polar shapelets with widthxheight pixels and scale parameter beta,
%     up to order nmax.
%     (see Massey & Refregier 2004 astro-ph/0408445)
%
% Version 1.0 (03-18-2005)
%
% (C) E.Bertin 2005
% Visit the EFIGI website http://www.efigi.org
function pshapeshow(width, height, nmax, beta)
p = pshapelets(width,height,nmax, beta);
k = 1;
for n=0:nmax,
    for m=0:n,
        subplot(nmax+1,nmax+1,n+1+(nmax+1)*m,'align');
        imshow(p(:,:,k),[]);
        title(['n=', num2str(n), '    m''=', num2str(m)]);
        k = k+1;
    end
end
