% PSHAPESHOWDEC  Display 2D polar shapelet reconstructed images and residuals.
%     PSHAPESHOWDEC(IMA, beta) calls PSHAPEDEC with nmax=1,2,4,8 and 16
%     and displays the reconstructed images and residuals.
%     (see Massey & Refregier 2004 astro-ph/0408445)
%
% Version 1.0 (03-18-2005)
%
% (C) E.Bertin 2005
% Visit the EFIGI website http://www.efigi.org
function pshapeshowdec(ima, beta)
n = 1;
for k=1:2:10,
    subplot(6,2,k,'align');
    [pcoeff rima] = pshapedec(ima, n, beta);
    subplot(6,2,k,'align');
    imshow(abs(rima+10).^0.1,[]);
    title(['ncoeffs=', num2str((n+1)*(n+2)/2)]);
    subplot(6,2,k+1,'align');
    dima = ima - rima;
    imshow(dima,[-30 30]);
    title(['MSE=', num2str(sqrt(mean(mean(dima.^2))))]);
    n = n*2;
end
subplot(6,2,11);
imshow(abs(ima+10).^0.1,[]);
title('Original image');
